Subject: GARDENING VIDEO

From: [email-masked] (MacDoug777)
Date: 21 Mar 1995 15:10:38 -0500

We produce a very excellent, information filled video on Iris growing, How
To Grow Award Winning Iris. It contains 60 minutes of information about
growing Iris from fertilization to soil testing to flower show
preparation. For more information contact us at Rampart Productions, P.O.
Box 603, Palo Cedro, CA 96073.